API referenceSegments

Update a segment

PATCH/segments/{id}

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Path Parameters

id*string
Length1 <= length <= 64

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/segments/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "object": "segment",  "id": "string",  "kind": "filter",  "name": "string",  "description": "string",  "filter": {    "property1": null,    "property2": null  },  "contacts_count": 0,  "counted_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}